Bug 497285 - strings.h, gobuffer.h, hash.h and list.h are not included in libdwarves1-devel
strings.h, gobuffer.h, hash.h and list.h are not included in libdwarves1-devel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dwarves (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Arnaldo Carvalho de Melo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 04:01 EDT by Masatake YAMATO
Modified: 2009-06-08 11:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-08 11:00:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Masatake YAMATO 2009-04-23 04:01:40 EDT
Description of problem:

dwarves.h in libdwarves1-devel package refers strings.h, gobuffer.h, hash.h
and list.h. But they are not included in libdwarves1-devel.

Version-Release number of selected component (if applicable):

dwarves-1.7.

How reproducible:

Just install libdwarve1-devel.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

strings.h, gobuffer.h hash.h and list.h are not found in the system.

Expected results:

The header files should be installed to the system.

Additional info:
Comment 1 Arnaldo Carvalho de Melo 2009-04-23 15:52:25 EDT
Can you try with 1.8pre1? It has many more improvements (new features, big speedups) and fixes this issue. I made it available here:

http://people.redhat.com/acme/dwarves/fedora/10/packages/
Comment 2 Masatake YAMATO 2009-04-24 01:20:38 EDT
(In reply to comment #1)
> Can you try with 1.8pre1? It has many more improvements (new features, big
> speedups) and fixes this issue. I made it available here:
> 
> http://people.redhat.com/acme/dwarves/fedora/10/packages/  

I inspect the new header file directory layout of 1.8pre1. Maybe fine.
However I cannot test my tool can be built with 1.8pre1.

Could you provide me src.rpm?
Comment 3 Masatake YAMATO 2009-04-24 04:43:31 EDT
(In reply to comment #2)

Sorry, many typos in my last reply.

I've inspected the new header file directory layout of 1.8pre1. Looks fine.
I'd like to rebuild my tool with 1.8pre1. However, currently my tool depends on the internal of libdwarves. Can I get src.rpm for 1.8pre1?

> (In reply to comment #1)
> > Can you try with 1.8pre1? It has many more improvements (new features, big
> > speedups) and fixes this issue. I made it available here:
> > 
> > http://people.redhat.com/acme/dwarves/fedora/10/packages/  
> 
> I inspect the new header file directory layout of 1.8pre1. Maybe fine.
> However I cannot test my tool can be built with 1.8pre1.
> 
> Could you provide me src.rpm?
Comment 4 Arnaldo Carvalho de Melo 2009-04-24 11:06:59 EDT
Was there already:

http://people.redhat.com/acme/dwarves/fedora/10/sources/

Also I suggest using git and the online repository I maintain, to use it install the "git" package and then:

git clone git://git.kernel.org/pub/scm/linux/kernel/git/acme/pahole
cd pahole
mkdir build
cd build
cmake ..
cd ..
make -s -C build

Also consider joining the dwarves@vger.kernel.org mailing list, by sending a message with "subscribe dwarves" in the body to majordomo@vger.kernel.org.
Comment 5 Masatake YAMATO 2009-05-08 08:47:39 EDT
My tool can be built with new rpm package; and it works fine.
Thank you. Please, close this.

Note You need to log in before you can comment on or make changes to this bug.